GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::RpcServiceMethod Class Reference

`#include <rpc_service_method.h>`

## Public Member Functions
| RpcServiceMethod (const char *name, RpcMethod::RpcType type, MethodHandler *handler)
MethodHandler * | handler ()
Public Member Functions inherited from grpc::RpcMethod
| RpcMethod (const char *name, RpcType type, void *channel_tag)
const char * | name () const
RpcType | method_type () const
void * | channel_tag () const

## Additional Inherited Members
Public Types inherited from grpc::RpcMethod
enum | RpcType { NORMAL_RPC = 0, CLIENT_STREAMING, SERVER_STREAMING, BIDI_STREAMING }

## Constructor & Destructor Documentation

grpc::RpcServiceMethod::RpcServiceMethod | ( | const char * | name,
|  | RpcMethod::RpcType | type,
|  | MethodHandler * | handler
| ) |  |
| inline

## Member Function Documentation

MethodHandler* grpc::RpcServiceMethod::handler | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- include/grpc++/impl/rpc_service_method.h